/**
 * 
 */
package com.amx.duet.tools.comm;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import com.amx.duet.devicesdk.base.TypeSafeEnumBase;

/**
 * @author mmanners
 *
 */
public class SurroundModesAdvancedEvent extends TypeSafeEnumBase
{

	/**
	 * @param name
	 */
	protected SurroundModesAdvancedEvent(String name)
	{
		super(name);
	}
	public static final SurroundModesAdvancedEvent SURROUND_MODE      			= new SurroundModesAdvancedEvent( "SURROUNDMODE-" );
	public static final SurroundModesAdvancedEvent SURROUND_MODE_COUNT			= new SurroundModesAdvancedEvent( "SURROUNDMODECOUNT-" );
	public static final SurroundModesAdvancedEvent SURROUND_MODE_COUNT_INQUIRY  = new SurroundModesAdvancedEvent( "?SURROUNDMODECOUNT" );
	public static final SurroundModesAdvancedEvent SURROUND_MODE_INQUIRY    	= new SurroundModesAdvancedEvent( "?SURROUNDMODE-" );
	public static final SurroundModesAdvancedEvent SURROUND_MODE_SELECT			= new SurroundModesAdvancedEvent( "SURROUNDMODESELECT-" );
	public static final SurroundModesAdvancedEvent SURROUND_MODE_SELECT_INQUIRY = new SurroundModesAdvancedEvent( "?SURROUNDMODESELECT" );
	public static final SurroundModesAdvancedEvent SURROUND_MODES_INQUIRY 		= new SurroundModesAdvancedEvent( "?SURROUNDMODES" );

	private static final SurroundModesAdvancedEvent[] PRIVATE_VALUES = {
		SURROUND_MODE,
		SURROUND_MODE_COUNT_INQUIRY,
		SURROUND_MODE_INQUIRY,
		SURROUND_MODE_SELECT,
		SURROUND_MODE_SELECT_INQUIRY,
		SURROUND_MODES_INQUIRY
	};
	
	public static final List VALUES = Collections.unmodifiableList(Arrays.asList(PRIVATE_VALUES));

	public String toString() {
		return ( "[SurroundModesAdvancedEvent - " + getName() + "]" );
	}
	
	public static final TypeSafeEnumBase fromString(String data) {
		return fromString(data, VALUES);
	}

}
