/*
 * @author VGonzales
 * Created on May 21, 2005
 * 
 ****************************************************************
 * Copyright Notice :
 * Copyright, AMX, Inc., 2006-2008
 * Private, proprietary information, the sole property of AMX.
 * The contents, ideas, and concepts expressed herein are not to
 * be disclosed except within the confines of a confidential
 * relationship and only then on a need to know basis.    
 ****************************************************************
 */
package com.amx.duet.tools.io;

import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;

/**
 * 
 * @version 1.0.0
 * @since AMXTools 1.0.0
 */
public class ManagedFile extends File
{
	private long lHandle = 0;
	private long lFlag = 0;
	private RandomAccessFile access = null;

	private static long fileCount = 0;
	
	/**
	 * 
	 * @param sFilePath
	 * @param flag
	 */
	public ManagedFile(String sFilePath, long flag)
	{
		super(sFilePath);
		lHandle = ++fileCount;
		lFlag = flag;
	}
	
	/**
	 * 
	 * @return
	 */
	public long getHandle()
	{
		return lHandle;
	}
	
	/**
	 * 
	 * @return
	 */
	public long getIOFlag()
	{
		return lFlag;
	}
	
	/**
	 * 
	 * @param strAccess
	 * @return
	 */
	public long setAccessor(String strAccess)
	{
		long lRet = FileManager.FILE_OK;
		
		try
		{
			if (strAccess.length() > 0)
				access = new RandomAccessFile(this, strAccess);
			else
			{
				// If an empty access modifier is sent then go ahead
				// and close the file accessor
				if (access != null)
				{
					access.close();
					access = null;
				}
			}
		}
		catch (IOException e)
		{
			access = null;
        	lRet = FileManager.FILE_DISK_ERROR;
		}
	    catch (Exception e)
	    {
			access = null;
        	lRet = FileManager.FILE_DISK_ERROR;
	    }

		return lRet;
	}
	
	/**
	 * 
	 * @return
	 */
	public RandomAccessFile getAccessor()
	{
		return access;
	}
}
