/*
 * @author VGonzales
 * 
 ****************************************************************
 * Copyright Notice :
 * Copyright, AMX, Inc., 2006-2008
 * Private, proprietary information, the sole property of AMX.
 * The contents, ideas, and concepts expressed herein are not to
 * be disclosed except within the confines of a confidential
 * relationship and only then on a need to know basis.    
 ****************************************************************
 */
package com.amx.duet.tools.net.snmp;

import com.amx.duet.tools.net.snmp.api.SNMPObject;
import com.amx.duet.tools.net.snmp.api.SNMPObjectIdentifier;

/**
 * This class is always used in conjunction with the SNMPConnection class and 
 * must be implemented by any class wishing to receive SNMP events.
 */
public interface SNMPConnectionListener
{
	/**
	 * Handles status returned from the socket.
	 * 
	 * @param status
	 */
	public abstract void handleSocketStatus(int status);

	/**
	 * Handle data received from the SNMP connection.
	 * 
	 * @param itemID SNMPObjectIdentifier containing the OID of the data to access.
	 * @param snmpValue SNMPObject containing the value returned.
	 */
	public abstract void handleSNMPReceive(SNMPObjectIdentifier itemID, SNMPObject snmpValue);
}
