/*
 * SocketReceiveHandler.java
 *
 * Copyright  2004 AMX Corporation.  All rights reserved.  
 *
 * PROPRIETARY
 *
 * Use is subject to license terms.
 *
 */
 
package com.amx.duet.tools.net.udp;

/**
 * This class is always used in conjunction with the SocketConnection class and 
 * must be implemented by any class wishing to receive TCP socket events.
 *  
 * @version 1.0.0
 * @since AMXTools 1.0.1
 */
public interface ISocketConnectionListener
{
	/**
	 * 
	 * @param bytesReceived
	 * @param data
	 */
	public void handleReceive(int bytesReceived, byte [] data);
	
	/**
	 * 
	 * @param status
	 */
	public void handleSocketStatus(int status);
}
