/*
 * @author vgonzales
 * 
 ****************************************************************
 * Copyright Notice :
 * Copyright, AMX, Inc., 2006-2008
 * Private, proprietary information, the sole property of AMX.
 * The contents, ideas, and concepts expressed herein are not to
 * be disclosed except within the confines of a confidential
 * relationship and only then on a need to know basis.    
 ****************************************************************
 */
package com.amx.duet.tools.security;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * Utility class containing various encryption and decryption routines.
 */
public class SecurityUtil
{
	/**
	 * Allows user to MD5 encrypt an array of strings together into a single encrypted string
	 * 
	 * @param strArray array of strings to encrypt
	 * @return an MD5 encrypted string
	 * @throws NoSuchAlgorithmException
	 */
	public final static String encodeMD5(String strArray[]) throws NoSuchAlgorithmException
	{
		String sEncoded = "";

        MessageDigest alg = MessageDigest.getInstance("MD5");
        for (int i = 0; i < strArray.length; i++)
        	alg.update(strArray[i].getBytes());

        sEncoded = new String(alg.digest());

		return sEncoded;
	}
	
	/**
	 * Allows users to create Base64 encrypted strings
	 * 
	 * @param str string to encrypt
	 * @return a Base64 encrypted string
	 */
	public final static String encodeBase64(String str)
	{
		// Base 64 encrypt the user name and password
		Base64 encoder = new Base64();
		return encoder.encode(str.getBytes());
	}

}
