/*
 * 
 ****************************************************************
 * Copyright Notice :
 * Copyright, AMX, Inc., 2006-2008
 * Private, proprietary information, the sole property of AMX.
 * The contents, ideas, and concepts expressed herein are not to
 * be disclosed except within the confines of a confidential
 * relationship and only then on a need to know basis.    
 ****************************************************************
 */
package com.amx.duet.tools.xml;

import java.io.IOException;
import java.io.OutputStream;


/**
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 * 
 * @version 1.0.0
 * @since AMXTools 1.0.0
 *
 */
public class XMLWriter 
{
	byte term[] = "\r\n".getBytes();
	StringBuffer temp = new StringBuffer();
	
    public void writeVersion(OutputStream out) throws IOException
    {
        out.write("<?xml version=\"1.0\"?>".getBytes());
        out.write(term);
        
        temp = null; // garbage collect old stuff
        
    	temp = new StringBuffer();
        temp.append("<?xml version=\"1.0\"?>");
        temp.append("\n");
    }

    public void writeStyleSheet(OutputStream out, String jtype, String jhref) throws IOException
    {
      if(jtype == null || jhref == null) return;
      String stylesheet = "<?xml-stylesheet type=\""+jtype+"\" href=\""+jhref+"\"?>";
      
      out.write(stylesheet.getBytes());
      out.write(term);
      
      temp.append(stylesheet);
      temp.append("\n");
      
    }
    
    public void writeStartTag(OutputStream out, String tag) throws IOException
    {
      if(tag == null) return;
      String outtag = "<" + tag + ">";
              
      out.write(outtag.getBytes());
      out.write(term);

      temp.append(outtag);
      temp.append("\n");
    }
    
    public void writeEndTag(OutputStream out, String tag) throws IOException
    {
      if(tag == null) return;  
      String outtag = "</" + tag + ">";
              
      out.write(outtag.getBytes());
      out.write(term);

      temp.append(outtag);
      temp.append("\n");
    }
    
    public void writeEntireElement(OutputStream out, String tag, String value) throws IOException
    {
      if(tag == null || value == null) return;
      String starttag = "<" + tag + ">";
      String endtag = "</" + tag + ">";
      byte val[] = value.getBytes();
      
      out.write(starttag.getBytes());
      out.write(val);
      out.write(endtag.getBytes());
      out.write(term);

      temp.append(starttag);
      temp.append(value);
      temp.append(endtag);
      temp.append("\n");
    }
    
    public void writeEntireElement(OutputStream out, String tag, int value) throws IOException
    {
      if(tag == null) return;
      String starttag = "<" + tag + ">";
      String endtag = "</" + tag + ">";
      byte val[] = Integer.toString(value).getBytes();

      out.write(starttag.getBytes());
      out.write(val);
      out.write(endtag.getBytes());
      out.write(term);

      temp.append(starttag);
      temp.append(""+value);
      temp.append(endtag);
      temp.append("\n");
    }

    public void writeEntireElement(OutputStream out, String tag, boolean value) throws IOException
    {
      if(tag == null) return;
      String starttag = "<" + tag + ">";
      String endtag = "</" + tag + ">";
      byte val[] = (value == true) ? "1".getBytes() : "0".getBytes();
      
      out.write(starttag.getBytes());
      out.write(val);
      out.write(endtag.getBytes());
      out.write(term);

      temp.append(starttag);
      temp.append(""+value);
      temp.append(endtag);
      temp.append("\n");
    }

	public String toString()
	{
		return temp.toString();
	}

}
